Kubernetes
action Node

# uncordon_node

Uncordon nodes matching the given label name, so that pods can be scheduled on them again

Run it now
View details

Type | action
Module | chaosk8s.node.actions
Name | uncordon_node
Return | None

Usage

JSON

    {
      "name": "uncordon-node",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.actions",
        "func": "uncordon_node"
      }
    }

YAML

    name: uncordon-node
    provider:
      func: uncordon_node
      module: chaosk8s.node.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | No | Name | Specifiy a node name or a label selector below
label_selector | string |  | No | Label Selector | Selectors to target the appropriate nodes

Signature

    def uncordon_node(name: str = None,
                      label_selector: str = None,
                      secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Node

  ## `create_node`

  Create one new node in the cluster
- Kubernetes
  probe Node

  ## `get_all_node_status_conditions`

  Retrieve all nodes conditions and statuses.
- Kubernetes
  action Node

  ## `drain_nodes`

  Drain nodes matching the given label or name, so that no pods are scheduled on them any longer and running pods are evicted